.SUFFIXES:

PYVERSION=3.12
PYPREFIX=/usr
INCLUDES=-I$(PYPREFIX)/include/python$(PYVERSION)
CYTHON=cython3
# No previous iteration to reference

all: lang0py.exe

%.exe: %.o
	gcc -o $@ $< -lpython$(PYVERSION)

%.o: %.c
	gcc -c $< $(INCLUDES)

%.c: %.py
	$(CYTHON) -3 --embed $<

clean:
	rm -f lang0py.c lang0py.o lang0py.exe
